Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.recovery
Class TransactionStatusManager

    java.lang.Object
      com.arjuna.ats.arjuna.recovery.TransactionStatusManager

public class TransactionStatusManager
extends java.lang.Object

This implementation is tied closely with the socket/port version of getpid. If a pid is obtained via a port, then this class will obtain its socket/port from that implementation rather than create a new port: since the socket/port version of getpid is guaranteed to be executed first.

Since:
  HPTS 3.0.
Version:
  $Id: TransactionStatusManager.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Dave Elsworthy (david_elsworthy@hp.com)

Constructor Summary
`TransactionStatusManager()`
`TransactionStatusManager(int port)`
`TransactionStatusManager(java.lang.String serviceName)`
`TransactionStatusManager(java.lang.String serviceName, int port)`

Method Summary
`void` | `addService(Service service, java.net.ServerSocket serverSocket)` The work item to be executed.
`void` | `finalize()` Removes the TransactionStatusManager from the object store and closes down the listener thread.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionStatusManager

    public TransactionStatusManager()

### TransactionStatusManager

    public TransactionStatusManager(int port)

### TransactionStatusManager

    public TransactionStatusManager(java.lang.String serviceName)

### TransactionStatusManager

    public TransactionStatusManager(java.lang.String serviceName,
                                    int port)

Method Detail

### addService

    public void addService(Service service,
                           java.net.ServerSocket serverSocket)

  The work item to be executed.

### finalize

    public void finalize()

  Removes the TransactionStatusManager from the object store and closes down the listener thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD